:	"@(#)$Id: d4gl-unmark.sh,v 1.3 1998/07/07 19:20:58 jleffler Exp $"
#
#	$Product: INFORMIX Dynamic 4GL Demonstration Version 2.00.UC8 (1998-08-25) $
#
#	Script to unmark D4GL extensions by modifying the '--#' comments

# Normally, the D4GL compiler will process code preceded with '--#'
# comments.  Tools such as code beautifiers that recognize only the classic
# I4GL comment conventions will ignore any enhanced code.  If you want the
# enhanced code to be processed by the beautifier, then convert it with
# d4gl-unmark.sh so that the extension code is visible as non-comment code.
# Note that the marked code will not link under the classic I4GL compilers.
# Undo these changes with d4gl-remark.

sed 's/--#/{--#}/' $*
